Bug 448573 - Overview effect selection background does not move or scale with window that is being dragged
Summary: Overview effect selection background does not move or scale with window that ...
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: effects-overview (show other bugs)
Version: 5.23.90
Platform: Other Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-15 23:52 UTC by indecisiveautomator
Modified: 2022-02-10 22:07 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description indecisiveautomator 2022-01-15 23:52:23 UTC
SUMMARY
The selection background for a window that is being dragged does not move or scale with the window.


STEPS TO REPRODUCE
1. Activate Overview effect with at least one window open
2. Drag a window around
3. Selection background stays in place until the mouse cursor leaves the area where the window originally was.

OBSERVED RESULT
Selection background does not move or scale with window, instead it stays in place where the window was and disappears when the mouse leaves the area where the window was. For instance if you drag a window far enough until the mouse cursor is outside of the selection background, it will disappear.


EXPECTED RESULT
The highlighted background for a window that is being dragged should move and scale with that window. Either this, or perhaps the selection background disappearing entirely would be more in line with what a user would expect.


SOFTWARE/OS VERSIONS
Linux/KDE Plasma: 5.16.0-arch1-1
KDE Plasma Version: 5.23.90
KDE Frameworks Version: 5.90.0
Qt Version: 5.15.2

ADDITIONAL INFORMATION
- Tested on Wayland, unsure if it affects X11
- Purely a visual glitch
Comment 1 Nate Graham 2022-01-21 01:06:29 UTC
Can reproduce.
Comment 2 Vlad Zahorodnii 2022-01-24 10:58:23 UTC
Yeah, it should disappear.
Comment 3 Bug Janitor Service 2022-02-09 22:58:46 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/1990
Comment 4 Vlad Zahorodnii 2022-02-10 08:41:42 UTC
Git commit 3fb6901646d340393a8f915808e655016a5a92ff by Vlad Zahorodnii.
Committed on 10/02/2022 at 08:15.
Pushed by vladz into branch 'master'.

effects/overview: Hide selection rect during dnd

M  +1    -1    src/effects/overview/qml/WindowHeap.qml

https://invent.kde.org/plasma/kwin/commit/3fb6901646d340393a8f915808e655016a5a92ff
Comment 5 Vlad Zahorodnii 2022-02-10 08:42:42 UTC
Git commit 665db3ad160235828202086a9e7eb79ae5424571 by Vlad Zahorodnii.
Committed on 10/02/2022 at 08:42.
Pushed by vladz into branch 'Plasma/5.24'.

effects/overview: Hide selection rect during dnd


(cherry picked from commit 3fb6901646d340393a8f915808e655016a5a92ff)

M  +1    -1    src/effects/overview/qml/WindowHeap.qml

https://invent.kde.org/plasma/kwin/commit/665db3ad160235828202086a9e7eb79ae5424571